Categories:
  - Multimedia
License: GPL-3.0-only
AuthorName: Kanedias
AuthorEmail: kanedias@keemail.me
SourceCode: https://github.com/vanilla-music/vanilla-music-lyrics-search
IssueTracker: https://github.com/vanilla-music/vanilla-music-lyrics-search/issues
Donate: https://www.patreon.com/kanedias
LiberapayID: '27922'

AutoName: Vanilla Lyrics Search
Description: |-
    This app is a plugin. Prior to use it you should have
    https://f-droid.org/packages/ch.blinkenlights.android.vanilla installed. Once both player and this plugin
    are installed, request a context menu from library screen, select "Plugins" and
    "Lyrics search" afterwards. Note that this plugin requires internet connection
    to be useful.

    For file tag related operations it also optionally requires
    https://f-droid.org/packages/com.kanedias.vanilla.audiotag to be present.

    This plugin allows reading lyrics from file tag or from *.lrc file with same
    name. If no lyrics is available from these sources it can also download lyrics
    from <a href="http://lyrics.wikia.com">Lyrics Wiki</a> if it is present  for this file's
    artist and title.

    '''Features:'''

    * Requests lyrics by artist and title from lyrics.wikia.com
    * Can read lyrics from file tags or *.lrc files and show them without internet connection
    * Can write lyrics retrieved from wiki to file tags

RepoType: git
Repo: https://github.com/vanilla-music/vanilla-music-lyrics-search

Builds:
  - versionName: '1.0'
    versionCode: 1
    commit: '1.0'
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.1
    versionCode: 2
    commit: 1.0.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.2
    versionCode: 3
    commit: 1.0.2
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.3
    versionCode: 4
    commit: 1.0.3
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.4
    versionCode: 5
    commit: 1.0.4
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.0
    versionCode: 6
    commit: 1.1.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0
    versionCode: 7
    commit: 1.2.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.1
    versionCode: 8
    commit: 1.2.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.2
    versionCode: 9
    commit: 1.2.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.0
    versionCode: 10
    commit: 1.3.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.1
    versionCode: 11
    commit: 1.3.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.2
    versionCode: 12
    commit: 1.3.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.3
    versionCode: 13
    commit: 1.3.3
    subdir: app
    gradle:
      - yes

MaintainerNotes: |-
    - This app doesn't have default activity, this is normal
    - This app requires https://f-droid.org/packages/ch.blinkenlights.android.vanilla

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.3.3
CurrentVersionCode: 13
